%define        libname  lib%{name}

Name:          shiboken
Version:       1.2.2
Release:       1mamba
Summary:       The plugin for Generator Runner that creates the PySide bindings source files from Qt headers and auxiliary files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.pyside.org/docs/pyside/howto-build/shiboken.html
Source:        https://pypi.python.org/packages/source/S/Shiboken/Shiboken-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libapiextractor-devel
BuildRequires: libgcc
BuildRequires: libgenrunner-devel
BuildRequires: libpython-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: generatorrunner
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the PySide bindings source files from Qt headers and auxiliary files (typesystems, global.h and glue files).

%package -n %{libname}
Summary:       The Shiboken Generator library
Group:         System/Libraries

%description -n %{libname}
The Shiboken Generator library.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
The Shiboken Generator library.

This package contains static libraries and header files need for development.

%prep
%setup -q -n Shiboken-%{version}

%build
cd sources/shiboken
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd sources/shiboken
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_libdir}/generatorrunner/*.so
%{_mandir}/man1/shiboken.1.gz
%doc sources/shiboken/COPYING

%files -n %{libname}
%defattr(-,root,root)
%{python_sitearch}/shiboken.so
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/shiboken
%{_libdir}/*.so
%{_libdir}/cmake/Shiboken-*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1mamba
- update to 1.2.2

* Fri May 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-2mamba
- python 2.7 rebuild

* Thu Sep 20 2012 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Wed May 30 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.1.1-1mamba
- update to 1.1.1

* Mon Jan 09 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.1.0-1mamba
- update to 1.1.0

* Wed Nov 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.9-1mamba
- update to 1.0.9

* Tue Aug 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.6-1mamba
- update to 1.0.6

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Fri Jul 01 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.4-1mamba
- update to 1.0.4

* Sun May 01 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.2-1mamba
- update to 1.0.2

* Sat Mar 12 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.0-1mamba
- update to 1.0.0

* Sun Nov 07 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.5.1-2mamba
- rebuilt with libqt 4.7.0

* Mon Oct 25 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.5.1-1mamba
- update to 0.5.1

* Mon Sep 27 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.5.0-1mamba
- update to 0.5.0

* Thu Aug 26 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.4.0-1mamba
- update to 0.4.0

* Mon Jul 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.3.1-1mamba
- package created by autospec
